




-- auctionatorsupport

local callerId = "DugisGuide"


do

	local function DisenchantValue(itemID)
		return Auctionator.API.v1.GetDisenchantPriceByItemID(callerId, itemID)
	end


	local function AuctionPrice(itemID)
		return Auctionator.API.v1.GetAuctionPriceByItemID(callerId, itemID)
	end


	local function Init()
--		LSW:ChatMessage("Dugi Workshop adding Auctionator support")

		LSW:RegisterAlgorithm("Auctionator", AuctionPrice)

		Auctionator.API.v1.RegisterForDBUpdate(callerId, function() LSW:FlushPriceData() end)

		LSW.disenchantValue = DisenchantValue
	end


	local function Test(index)
		if Auctionator then
			return true
		end

		return false
	end

	LSW:RegisterPricingSupport("Auctionator", Test, Init)
end
